% Example script of how the codes can be used to create a simulation

dx = 1/16; % grid size
T = .3;     % final time of computation 
% run simulation with semi-implicit scheme for model with drug and nutrient
% influence
[output,cpu_time,tt,maxn,minn]=Brinkmannutrientdrug2d_implicit(dx,T);


% plot cell density at final time 'T'
D = output.D;   % extract domain parameters
nn = output.nn; % extract cell density at final time from output struct
maxnn = max(max(nn)); % maximum of nn
minnn = min(min(nn)); % minimum of nn
make_plot(nn,T,D,maxnn,minnn);
title(['Cell density at final time $T=$',num2str(T)],'FontSize', 16, ...
    'Interpreter','latex')

% extract variables for movies
nf = output.nf; % extract cell density variable
cf = output.cf; % extract nutrient variable
qf = output.qf; % extract drug variable
pf = output.pf; % extract pressure variable
Wf = output.Wf; % extract velocity potential


% show movie of evolultion of cell density variable
Fn = movie_2d(nf,D);

% create mp4 file with movie of cell density evolution named
% 'celldensity.mp4'
write_movie(Fn,'celldensity'); 

% show movie of evolultion of nutrient variable
Fc = surf_movie(cf,D);

% create mp4 file with movie of nutrient evolution named
% 'nutrient.mp4'
write_movie(Fc,'nutrient'); 