function F=movie1d(xx,mm,tt)
% a function to create movies for the one dimensional model
% Input:        xx -    vector with grid points in spatial dimension
%               mm -    vector with function values mm=mm(x,t)
%               tt -    vector with time step values, discrete times where
%                       mm was evaluated

% Output:       F  -    struct, containing cdata and colormap
% 2017/05/13

figure('Renderer','zbuffer')
plot(xx,mm(:,1))
axis tight manual
set(gca,'NextPlot','replaceChildren');
[~,nt]=size(mm);
rat=ceil(length(tt)/nt);
F(nt)=struct('cdata',[],'colormap',[]);
for n=1:nt
    %surf(mm(:,:,n),mm(:,:,1),'EdgeColor','flat')
    plot(xx,mm(:,n))
    title(['t=', num2str(tt(1+(n-1)*rat))])
    F(n)=getframe;
end