function F=movie_2d(mm,D)
% 2d movie 
% Input:   mm -     3-d "matrix" containing function values at different
%                   locations and times, mm=mm(x,y,t)
%          D  -     2x2 matrix with entries for spatial domain boundary points 
% 2017/05/13
if nargin<2
    D=[-5,5;-5,5]; % if no input domain is given, use D=[-5,5]x[-5,5]
end

scrsz = get(0,'ScreenSize');
zmax=max(max(max(mm)));
zmin=min(min(min(mm)));
clims = [zmin zmax];
figure('Renderer','zbuffer','Position',[1 0.1*scrsz(4)/2 2.5*scrsz(4)/2 1.8*scrsz(4)/2]) % make the movie screen height
imagesc([D(1,1),D(1,2)],[D(2,1),D(2,2)],mm(:,:,end),clims);
colorbar 
axis tight manual
axis equal
zlim([zmin zmax])
caxis([zmin zmax])
set(gca,'NextPlot','replaceChildren');
[~,~,nz]=size(mm);
F(nz)=struct('cdata',[],'colormap',[]);
for n=1:nz
    imagesc([D(1,1),D(1,2)],[D(2,1),D(2,2)],mm(:,:,n),clims); caxis([zmin zmax]);
    F(n)=getframe(gcf);
end
