function F=movie_2d_sc(mm,D)
% 2d movie skin colored
% Input:   mm -     3-d "matrix" containing function values at different
%                   locations and times, mm=mm(x,y,t)
%          D  -     2x2 matrix with entries for spatial domain boundary points 
% NOTE: Does only work for cell density currently, not for drug or nutrient
% data.
% 2017/05/13
if nargin<2
    D=[-3.5,3.5;-3.5,3.5];
end
scrsz = get(0,'ScreenSize');
figure('Renderer','zbuffer','Position',[1 0.1*scrsz(4)/2 2.5*scrsz(4)/2 1.8*scrsz(4)/2])
imagesc([D(1,1),D(1,2)],[D(2,1),D(2,2)],mm(:,:,1)); colormap(flipud(copper)); colorbar
zmax=max(max(max(mm)));
zmin=min(min(min(mm)));
axis tight manual
axis equal
zlim([zmin zmax])
caxis([zmin zmax])
set(gca,'NextPlot','replaceChildren');
[~,~,nz]=size(mm);
F(nz)=struct('cdata',[],'colormap',[]);
for n=1:nz
    imagesc([D(1,1),D(1,2)],[D(2,1),D(2,2)],mm(:,:,n)); colormap(flipud(copper)); caxis([zmin zmax])
    F(n)=getframe(gcf);
end